config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/cdwrite.conf.new
( cd usr/bin ; rm -rf cd2mp3.cdparanoia )
( cd usr/bin ; ln -sf cdencode cd2mp3.cdparanoia )
( cd usr/bin ; rm -rf cdwr )
( cd usr/bin ; ln -sf cdwr.cdparanoia cdwr )
( cd usr/bin ; rm -rf cd2flac.cdda2wav )
( cd usr/bin ; ln -sf cdencode cd2flac.cdda2wav )
( cd usr/bin ; rm -rf cd2ogg.cdparanoia )
( cd usr/bin ; ln -sf cdencode cd2ogg.cdparanoia )
( cd usr/bin ; rm -rf t40 )
( cd usr/bin ; ln -sf cdwr t40 )
( cd usr/bin ; rm -rf cd2mp3.cdda2wav )
( cd usr/bin ; ln -sf cdencode cd2mp3.cdda2wav )
( cd usr/bin ; rm -rf x60s )
( cd usr/bin ; ln -sf cdwr x60s )
( cd usr/bin ; rm -rf liteon )
( cd usr/bin ; ln -sf cdwr liteon )
( cd usr/bin ; rm -rf cd2flac.cdparanoia )
( cd usr/bin ; ln -sf cdencode cd2flac.cdparanoia )
( cd usr/bin ; rm -rf t60 )
( cd usr/bin ; ln -sf cdwr t60 )
( cd usr/bin ; rm -rf cd2ogg.cdda2wav )
( cd usr/bin ; ln -sf cdencode cd2ogg.cdda2wav )
